> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ocean.security/llms.txt
> Use this file to discover all available pages before exploring further.

# List phishing reports

> Returns a paginated list of phishing reports from SONAR



## OpenAPI

````yaml get /api/v1/sonar/phishing-reports
openapi: 3.0.0
info:
  contact: {}
  title: Ocean Security API
  version: 1.0.0
  description: Ocean Security API for threat detection and security metrics
servers:
  - url: https://api.ocean.security
    description: Production server
security:
  - ApiKeyAuth: []
tags:
  - name: Threats
    description: Operations for retrieving threat information
  - name: Metrics
    description: Security metrics and analytics endpoints
paths:
  /api/v1/sonar/phishing-reports:
    get:
      tags:
        - Sonar
      summary: List phishing reports
      description: Returns a paginated list of phishing reports from SONAR
      parameters:
        - description: Authentication API Key
          in: header
          name: X-Api-Key
          required: true
          schema:
            type: string
        - description: Number of minutes to look back (default 30 * 24 * 60 = 30 days)
          in: query
          name: minutes_ago
          schema:
            type: integer
        - description: Page number for pagination (default 1)
          in: query
          name: page
          schema:
            type: integer
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/common.PaginatedResponse'
                  - properties:
                      results:
                        $ref: >-
                          #/components/schemas/controllers_sonar.phishingReportsResult
                    type: object
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/types.ErrorResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/types.ErrorResponse'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/types.ErrorResponse'
components:
  schemas:
    common.PaginatedResponse:
      properties:
        pagination:
          allOf:
            - $ref: '#/components/schemas/common.PaginationParams'
          description: Pagination information
        results:
          description: The actual data
        status:
          description: HTTP status code
          type: integer
      type: object
    controllers_sonar.phishingReportsResult:
      properties:
        items:
          items:
            $ref: '#/components/schemas/controllers_sonar.PhishingReportItem'
          type: array
      type: object
    types.ErrorResponse:
      properties:
        error:
          type: string
      type: object
    common.PaginationParams:
      properties:
        page:
          description: Current page number (1-based)
          type: integer
        page_size:
          description: Number of items on this page (max 100)
          type: integer
        total:
          description: Total number of items
          type: integer
      type: object
    controllers_sonar.PhishingReportItem:
      properties:
        id:
          type: string
        original_email_internet_message_id:
          type: string
        reasoning:
          type: string
        report_date:
          type: string
        report_internet_message_id:
          type: string
        reporter:
          type: string
        sender:
          type: string
        subject:
          type: string
        verdict:
          $ref: '#/components/schemas/verdict.Verdict'
      type: object
    verdict.Verdict:
      enum:
        - unknown
        - spam
        - malicious
        - safe
        - allowed
        - denied
        - simulation
        - graymail
        - no_analysis
      type: string
      x-enum-varnames:
        - Unknown
        - Spam
        - Malicious
        - Safe
        - Allowed
        - Denied
        - Simulation
        - Graymail
        - NoAnalysis
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Api-Key
      description: API key for authentication

````